package cn.com.poc.human_resources.service;

import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.human_resources.entity.BizHumanResourceResumeEntity;
import cn.com.yict.framemax.data.model.PagingInfo;
import java.util.Collection;
import java.util.List;

public interface BizHumanResourceResumeService extends BaseService {

    BizHumanResourceResumeEntity get(java.lang.Long id) throws Exception;

    List<BizHumanResourceResumeEntity> findByExample(BizHumanResourceResumeEntity example,PagingInfo pagingInfo) throws Exception;
    
    BizHumanResourceResumeEntity save(BizHumanResourceResumeEntity entity) throws Exception;

    BizHumanResourceResumeEntity update(BizHumanResourceResumeEntity entity) throws Exception;

    void deletedById(java.lang.Long id) throws Exception;
    
}